Subject: bug#44907: 25.3.50; elpa auctex will not update or delete

From: Stefan Kangas <[email-masked]>
Date: Sat, 28 Nov 2020 13:52:42 +0100

(Please keep the bug tracker in Cc.)

Elliott Roper <[email-masked]> writes:

> > You are running a version of Emacs with an old key.  Please upgrade to
> > Emacs 26.3 or follow these instructions:
> >
> > 1. set package-check-signature to nil, e.g. M-: (setq
> > package-check-signature nil) RET
> > 2. download the package gnu-elpa-keyring-update and run the function
> > with the same name, e.g. M-x package-install RET
> > gnu-elpa-keyring-update RET.
> > 3. reset package-check-signature to the default value allow-unsigned
> >
>
> Thanks for that. I chose your second method because Aquamacs has Emacs 25.3.50.1 built in.
> Everything went fine till I got to step 3
> I said:
> M: (setq package-check-signature allow-unsigned)
> It replied:
> eval: Symbol’s value as variable is void: allow-unsigned
>
> Please excuse my inexperience with lisp. I do not know how to tell it to use the default. Nor do I know how to ask it what the current value is. I guess it is still set to nil

Sorry, I copied the above instructions and didn't proofread them for
mistakes.  The third step should be:

    (setq package-check-signature 'allow-unsigned)

'C-h v' will tell you the value of a variable.  You can also use 'M-x
customize-option RET' which is usually the prefered way of setting
user-options.

> PS. FYI I was trying to get a bit of experience with the latest AucTeX because I have volunteered to help Wim Treese, the new maintainer of Aquamacs, prepare the documentation for a new version which among other things will allow it to follow Emacs versions better. I will need to learn elisp for that job, but a little help setting package-check-signature back to its default would be appreciated in case I have left it in a dangerous state.

If it is set to nil, that just means that signatures are not checked.
Since you used setq above, the value will reset to the default the
next time you restart Emacs.

Best of luck with your forays into Emacs Lisp!